Installed Julia through snap. How install newer versions of Julia?

The snap version of Julia, 1.0.4 is enough, or do I need to install a newer version of Julia?
2022-02-12_06-04

The snap installer is unmaintained and deprecated. Also, based on some bug reports I’ve seen in the past, that should be a 32-bit build of Julia, which will likely perform badly on a 64-bit system.

To install Julia you can can download the official pre-built tarballs from Download Julia

5 Likes

Alternatively, consider juliaup, it is a really pleasant experience on Windows at least:

3 Likes

Thanks, @giordano and @juliohm! Already installed lastest Julia LTS. I am in Fedora 35 Xfce spin, I was having errors to invoke “jupyter lab” in a terminal, but now I discover a handy site to install Jypyter through pip. Project Jupyter | Installing Jupyter
Julia is recognized in Jupyter. Thanks all of you!

1 Like

Note that in general we recommend installing the latest stable version. There are continuously performance improvements and advancements in the compiler framework that won’t be backported to the long-term-support version. You’ll also miss out on new versions of some packages which will require only new versions of Julia.

The LTS is only good if you have a very stable pipeline that you absolutely don’t want to touch and won’t need to upgrade your packages.

4 Likes

Fedora 35 provides native (and reasonably recent) julia via yum/dnf:

yum list --installed julia
Installed Packages
julia.x86_64              1.7.1-1.fc35                @updates

The maintainer of Fedora’s julia binaries is @nalimilan who is also a Steward on this forum

1 Like

Okay, now I have two Julias. One LTS and one installed via dnf. How to set the latest as default? I ask this because Julia rarely has any cover from sites. I think I will need remove the LTS version from my machine, yes?